AROS 68k updates from ApollOS repository

deadwood · 12399

deadwood

  • AROS Developer
  • Legendary Member
  • *****
    • Posts: 1063
    • Karma: +104/-0
Reply #360 on: March 11, 2022, 03:34:28 PM
@Gundam

I'm not currently looking into specific binary compatibility issues for m68k. Probably best would be to approach Apollo OS team about this.



AMIGASYSTEM

  • Legendary Member
  • *****
    • Posts: 2120
    • Karma: +48/-1
  • AROS One
    • AROS One
Reply #361 on: March 13, 2022, 12:50:10 PM
@deadwood

However ApolloOS is another world, it doesn't use Wanderer, many system applications are not native AROS but OS3, they use their own KickStart.

Basically if you start ApolloOS with your ROM, the few remaining native AROS applications on ApolloOS don't work, they require the posixc.library and the stdc.library


OlafS3

  • Senior Member
  • ****
    • Posts: 455
    • Karma: +47/-0
Reply #362 on: March 13, 2022, 10:37:44 PM
That can you basically also say for my distribution, I also use not wanderer and many applications are OS3. The main branch also benefitted from bugfixes like the fix of the lowlevel library. The same is true in the other direction too of course.



AMIGASYSTEM

  • Legendary Member
  • *****
    • Posts: 2120
    • Karma: +48/-1
  • AROS One
    • AROS One
Reply #363 on: March 13, 2022, 11:19:51 PM
Yes, but this will increase incompatibility between systems and there will no longer be an AROS standard.

As I've said many times, if I'm going to use a system with old OS3 applications, it's better to use a native OS3, mixed systems lead nowhere and only create incompatibility, if you want to grow you have to cut out the past.




OlafS3

  • Senior Member
  • ****
    • Posts: 455
    • Karma: +47/-0
Reply #364 on: March 13, 2022, 11:30:20 PM
Yes, but this will increase incompatibility between systems and there will no longer be an AROS standard.

As I've said many times, if I'm going to use a system with old OS3 applications, it's better to use a native OS3, mixed systems lead nowhere and only create incompatibility, if you want to grow you have to cut out the past.

 :o

*sigh*

I am tired from the discussions outside now they start here too. Amiga the new religion  >:(

let people do what they want. Simple as that



AMIGASYSTEM

  • Legendary Member
  • *****
    • Posts: 2120
    • Karma: +48/-1
  • AROS One
    • AROS One
Reply #365 on: March 13, 2022, 11:41:06 PM
I don't like to make controversy, I just said what "I" think, everyone is free to choose and say his thought!

I have my A4000/060 in my garage together with all my other Amigas, I have used them for 30 years, now it's time to grow up with AROS I just want to


deadwood

  • AROS Developer
  • Legendary Member
  • *****
    • Posts: 1063
    • Karma: +104/-0
Reply #366 on: March 14, 2022, 06:35:15 AM
@deadwood

However ApolloOS is another world, it doesn't use Wanderer, many system applications are not native AROS but OS3, they use their own KickStart.

Basically if you start ApolloOS with your ROM, the few remaining native AROS applications on ApolloOS don't work, they require the posixc.library and the stdc.library

I directed Gundam to Apollo OS team, because I believe they have greater incentive to fix these kind of incompatibility issues. Once the fix is done, I will port it back to my repository so the benefit is there.



AMIGASYSTEM

  • Legendary Member
  • *****
    • Posts: 2120
    • Karma: +48/-1
  • AROS One
    • AROS One
Reply #367 on: March 14, 2022, 08:10:30 AM
Thanks, hopefully it will be solved, it's not the only OS3 software to have that problem on AROS 68k, AmigaAMP for example after playing an mp3 can't be closed! the latest version of AmigaAMP just ran sends  crashes WinUAE.
« Last Edit: March 14, 2022, 08:15:25 AM by AMIGASYSTEM »



salvo

  • Legendary Member
  • *****
    • Posts: 1899
    • Karma: +22/-4
  • Peace an Love
Reply #368 on: March 14, 2022, 02:02:52 PM
works on winuae but I can't on janus-uae :(

IcarosDesktop on HP Z400 Workstation
contribuitor to icaros desktop, jpv software, muibase


Gundam

  • Newbie
  • *
    • Posts: 8
    • Karma: +5/-0
Reply #369 on: March 14, 2022, 02:28:29 PM
@Deadwood:

When trying to run RexxMast (in contrib here: http://www.aros.org/nightly1.php), in YOUR aros 68k distribution, it says it requires posixc.library, but your aros68k distro does not have posixc.library.

You should compile rexxmast and regina.library without that dependancy, so that it can be used in your distribution.



deadwood

  • AROS Developer
  • Legendary Member
  • *****
    • Posts: 1063
    • Karma: +104/-0
Reply #370 on: March 14, 2022, 02:42:16 PM
That's a good point. I made a note of that and will take care of this once I do major work with core targets. For the time being, you can copy missing libraries from the nightly you mentioned.



AMIGASYSTEM

  • Legendary Member
  • *****
    • Posts: 2120
    • Karma: +48/-1
  • AROS One
    • AROS One
Reply #371 on: March 16, 2022, 09:30:27 AM
@deadwood

As mentioned on another post, on Wanderer there are problems to run an application when using the CLI parameter in the Tooltype, in my opinion it is a very important problem.

In practice if you want to run an executable from icon with CLI parameter, the executable doesn't execute any parameters included in the config file.

To check the problem just run the application TKUnpacker.

TKUnpacker allows with a Click to automatically unzip an Archive, on OS3 when you click on an Archive file a request asks where to unzip the archive, on Wanderer instead the request asks the path of the Archive file, if executed you get the error Unknow format or file not found - Ram", practically the archive is not found!

I attach screenshots exhaustive, the problem should also be present on AROS x86


deadwood

  • AROS Developer
  • Legendary Member
  • *****
    • Posts: 1063
    • Karma: +104/-0
Reply #372 on: March 16, 2022, 10:05:16 AM

In practice if you want to run an executable from icon with CLI parameter, the executable doesn't execute any parameters included in the config file.


What do you mean by "config file"? Can you be more specific what config file you are referring to and what is contains? I'm not familiar with functionality you described.



AMIGASYSTEM

  • Legendary Member
  • *****
    • Posts: 2120
    • Karma: +48/-1
  • AROS One
    • AROS One
Reply #373 on: March 16, 2022, 10:32:02 AM
TKUnpacker as soon as it runs looks for and executes its configuration file located in the ENV "TKUnpacker.config".

Wanderer doesn't seem to know how to interpret the script, on OS 3 everything works normally

This problem happened to me also with other applications that work from Workbench through the "CLI" parameter.

« Last Edit: March 16, 2022, 10:50:51 AM by AMIGASYSTEM »



deadwood

  • AROS Developer
  • Legendary Member
  • *****
    • Posts: 1063
    • Karma: +104/-0
Reply #374 on: March 16, 2022, 02:01:26 PM